from axipy import attr, provider_manager, Point, Feature, data_manager

path_tab=r"E:\New RF\SubjectRF.TAB"
tab_rf=provider_manager.openfile(path_tab)
definition = {
    'src': '',
    'schema': attr.schema(
        attr.string('id'),

        coordsystem=tab_rf.coordsystem,
    ),

}

table_temp = provider_manager.create(definition)
table_temp.name="base_1"
geo_point=Point(75.6329826721033,64.8573061158948,tab_rf.coordsystem)
ft=Feature({'id':1},geometry=geo_point)
table_temp.insert([ft])
sql_delete="Delete From "+table_temp.name
#data_manager.query_hidden(sql_delete)
table_temp.undo(100)
print("Count records:"+str(table_temp.count()))
table_temp.close()