import os

from PySide2 import QtCore
from PySide2.QtCore import QFile, QEvent, QRect, QPoint, QSize
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QDialog
from axipy import view_manager, Rect

from RegisterVector.ui.add.helperMap import cloneMap


#from RegisterVector.Test.helperMap import cloneMapWidget, cloneMap


class RegisterVector(QDialog):
    def __init__(self,parent=None):
        self.__parentWin=parent
        super(RegisterVector, self).__init__(parent)
        self.load_ui("DlgTest2.ui")
        self.ui.finished.connect(self.__closeDlg)
        self.__clone_mapview = None
    def load_ui(self,name_resource):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        self.ui  = loader.load(ui_file,self.__parentWin)

        ui_file.close()
    def show(self):
        self.ui.show()
        rect = self.ui.mapLayout.geometry()
        list_map_view = view_manager.mapviews

        self.__clone_map = cloneMap(list_map_view[0].map)
        self.__clone_mapview = view_manager.create_mapview(self.__clone_map)
        self.__clone_mapview.rect=Rect(0,0,rect.width(),rect.height())
        self.ui.mapLayout.addWidget(self.__clone_mapview.widget)


    def __closeDlg(self, evnt):
        if self.__clone_mapview is not None:
            #self.__clone_mapview.close()
            pass

