import time

from PySide2.QtWidgets import QDialog
from axipy import AxipyAnyCallableTask, AxipyProgressHandler, task_manager

from RegisterVector.TestGui.TestGuiProgress.helperUI import load_ui


class dlgProgressBar(QDialog):
    def __init__(self,task_cls,parent=None):
        super().__init__(parent)
        self.ui=load_ui("dlg_progress.ui",parent)
        self.ui.pb_cancel.clicked.connect(self.__cancel_task)
        self.__task=task_cls
        self.__isCancel=False
        self.__curent_ProgressHandler=None
    def show(self):
        print("start 1")
        self.ui.show()
        self.__run_dempTask()
        print("start 2")
    def __cancel_task(self):
        if self.__curent_ProgressHandler is not None:
            self.__isCancel=True
            self.__curent_ProgressHandler.cancel()
    def __demo_task(self,ph: AxipyProgressHandler,message: str):
        self.ui.progressBar.setMaximum(100)
        #self.__curent_ProgressHandler=ph
        self.__setProgressHandler(ph)
        count = 100
        ph.set_max_progress(count)
        for i in range(0, count):
            if ph.is_canceled():
                break
            # Тут делаем длительные вычисления
            ph.add_progress(1)
            self.ui.progressBar.setValue(i+1)
            print(i)
            time.sleep(0.1)

        return ph.progress()
    def __setProgressHandler(self,ph):
        self.__curent_ProgressHandler = ph
        self.__curent_ProgressHandler.finished.connect(self.__end_task)
    def __run_dempTask(self):
        self.__dem_task=AxipyAnyCallableTask(self.__demo_task, "Hi, world!")
        self.__dem_task.with_handler(True)
        task_manager.start_task(self.__dem_task)
        #self.__curent_ProgressHandler.finished.connect(self.__end_task)

    def __end_task(self):
        jkl=0


