from axipy import Table

from RegisterVector.ui.add.add_ui.dlgProgressTask import dlgProgressBarTask
from RegisterVector.ui.add.add_ui.table_helper import CreateOutFile
from RegisterVector.ui.add.add_ui.taskTransformSingleTable import transformSingleTask


def runTransformTab(tab_transform:Table,cls_description_transform,path_dest_tab,parant=None):
    schema_out=tab_transform.schema
    schema_out.coordsystem=cls_description_transform.coordSystemBase
    tab_out = CreateOutFile(path_dest_tab, schema_out)
    cls_task = transformSingleTask(tab_transform, cls_description_transform.transform, tab_out)
    csl_reg = dlgProgressBarTask(cls_task, parant)
    csl_reg.setNameFile(tab_transform.name)
    csl_reg.show()
