from PySide2.QtGui import QCursor, Qt
from axipy import MapTool, Map


class MyTool(MapTool):
    def __init__(self, caption=None) -> None:
        super().__init__()
        self.caption = caption
        self.attr_index = 0
    def load(self):
        self.enable_on=True

    def mousePressEvent(self, event) -> bool:
        if event.button() == Qt.LeftButton:
            self.cursor = QCursor(Qt.SizeAllCursor)
def moveLayerTo(map:Map,name_layer,index):
    index_layer=None
    for i,layer in enumerate(map.layers):
        if layer.title==name_layer:
            index_layer=i
            break
    if index_layer is not None:
        map.layers.move(index_layer,index)
