import time

from axipy import AxipyAnyCallableTask, task_manager, AxipyProgressHandler


def user_function(ph: AxipyProgressHandler,message: str):

    print("Test"+message)
    count=20
    ph.set_max_progress(count)
    for i in range(0, count):
        if ph.is_canceled():
            break
        # Тут делаем длительные вычисления
        ph.add_progress(1)
        print(i)
        time.sleep(1)

    return ph.progress()
task = AxipyAnyCallableTask(user_function, "Hi, world!")
# Т.к. мы не управляем прогрессом, то можно отключить передачу
# обработчика в функцию
task.with_handler(True)
task_manager.start_task(task)
print("start")