import io

from axipy import Pnt, CoordSystem

from RegisterVector.ui.add.affine_transform import Affine, DescriptorTransform

base_point=[]
base_point.append(Pnt(4208063.13416656,7481837.35311195))
base_point.append(Pnt(4208250.21728733,7481842.46772807))
base_point.append(Pnt(4208234.07705968,7481702.26206446))
reg_points=[]
reg_points.append(Pnt(6513208.68,5591404.73))
reg_points.append(Pnt(6513386.23,5591345.55))
reg_points.append(Pnt(6513323.11,5591219.32))
cls_affine=Affine(base_point,reg_points)
transform=cls_affine.getTransform()
cs_base=CoordSystem.from_epsg(3395)
cs_out=CoordSystem.from_epsg(3395)
cls_descriptions=DescriptorTransform(cs_base,base_point,cs_out,reg_points,transform)
json_out=cls_descriptions.createJson()
name_save_file=r"E:\Support\AxiomaTesting\RegisterTab\test.js_tr"
with io.open(name_save_file, 'w', encoding='utf8') as f:
    f.write(json_out)
jkl=0