import time

from PySide2.QtCore import QObject, Signal
from axipy import AxipyProgressHandler


class SimpleTask(QObject):
    finish_task=Signal()
    def __init__(self,count):
        super().__init__()
        self.__count=count
    def run(self,ph: AxipyProgressHandler,cls_progessBar):
        cls_progessBar.setMaxValue(self.__count)
        ph.set_max_progress(self.__count)
        for i in range(0, self.__count):
            if ph.is_canceled():
                break
            # Тут делаем длительные вычисления
            ph.add_progress(1)
            cls_progessBar.setValue(i+1)
            print(i)
            time.sleep(0.1)

        return ph.progress()


