import axipy
from axipy import provider_manager

from RegisterVector.TestGui.TestGuiProgress.dlgProgressTask import dlgProgressBarTask
from RegisterVector.ui.add.add_ui.table_helper import CreateOutFile
from RegisterVector.ui.add.add_ui.taskTransformSingleTable import transformSingleTask
from RegisterVector.ui.add.affine_transform import DescriptorTransform

paren_axioma=axipy.mainwindow.qt_object()
path_reg_table=r"E:\Support\AxiomaTesting\RegisterTab\test_reg_rot_mif_tab.tab"
path_source_js_transform=r"E:\Support\AxiomaTesting\RegisterTab\test.js_tr"
description_trasform=DescriptorTransform.factoryFromJson(path_source_js_transform)
path_out_table=r"E:\Support\AxiomaTesting\RegisterTab\test_reg_rot_mif_tab_test.tab"
tab_transform=provider_manager.openfile(path_reg_table)
schema_out=tab_transform.schema
schema_out.coordsystem=description_trasform.coordSystemBase
tab_out=CreateOutFile(path_out_table,schema_out)
cls_task=transformSingleTask(tab_transform,description_trasform.transform,tab_out)
csl_reg=dlgProgressBarTask(cls_task,paren_axioma)
csl_reg.show()