from axipy import view_manager, data_manager, Layer, Map

from RegisterVector.ui.add.helperMap import getCloneMapView


class SourceMap:
    def __init__(self):
        pass
    def items(self)->list:
        out_map_view_name=[]
        for map_view in view_manager.mapviews:
            if map_view.coordsystem.lat_lon:
                continue
            out_map_view_name.append(map_view.title)
        return out_map_view_name
    def getMapView(self,name):
        return getCloneMapView(name)
class SourceTable:
    def __init__(self):
        pass
    def items(self):
        list_table_out=[]
        for tab in data_manager.tables:
            if tab.coordsystem.lat_lon:
                continue
            list_table_out.append(tab.name)
        return list_table_out
    def getMapView(self,name):
        tab=data_manager.find(name)
        layer=Layer.create(tab)
        layer.selectable=False
        map=Map([layer])
        map_view_tab= view_manager.create_mapview(map)
        map_view_tab.snap_mode=True
        return map_view_tab





